This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104647 - CAN-2003-0730 font lib XFree86 integer overflows
CAN-2003-0730 font lib XFree86 integer overflows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 09:27 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 09:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-18 09:27:32 EDT
Multiple integer overflows in the transfer and enumeration of
font libraries for XFree86 4.3.0 allow local or remote
attackers to cause a denial of service or execute arbitrary
code via heap-based and stack-based buffer overflow attacks.

The risk to users is limited because only clients can be
affected by these bugs, however in some (non default)
configurations, both xfs and the X Server can act as clients
to remote font servers.
Comment 1 Mark J. Cox (Product Security) 2003-10-23 09:17:27 EDT
Update currently being tested.
Comment 2 Mark J. Cox (Product Security) 2003-11-12 09:10:07 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-289.html

Note You need to log in before you can comment on or make changes to this bug.